clear
cd "/Users/alee87/Dropbox/Diversity Power"
use "cps_replication.dta"


mvreg q1b03 q1b10  ms1  phc1  q1b06g tele1 pps1 bus1 angn1 public_irr pucca_road  =  q1a04 villagetotalupper elf
test villagetotalupper, accum
test elf, accum
 
 *add dv
logit bus1  q1a04 elf  bihar if  pucca_road  ==1
outreg2 using add_a, ctitle(Bus)  replace label
logit   angn1  q1a04 elf  bihar if phc1+pdoc1 +hosp1 ==0
outreg2 using add_a, ctitle(H. Worker)  append label
logit    public_irr  q1a04 elf  bihar if river10<2
outreg2 using add_a, ctitle(Pub. Ir.)  append label
logit     pucca_road   q1a04 elf  bihar
outreg2 using add_a, ctitle(Road)  append label
reg months_with q1a04 elf  bihar
outreg2 using add_a, ctitle(M. School)  append label
logit    q1b03   q1a04 elf  bihar
outreg2 using add_a, ctitle(Electr.)  append label
logit     q1b10  q1a04 elf  bihar 
outreg2 using add_a, ctitle(Cov. Drain)  append tex(frag) label


logit bus1  q1a04 villagetotalupper  bihar if  pucca_road  ==1
outreg2 using add_b, ctitle(Bus)  replace label
logit   angn1  q1a04 villagetotalupper  bihar if phc1+pdoc1 +hosp1 ==0
outreg2 using add_b, ctitle(H. Worker)  append label
logit    public_irr  q1a04 villagetotalupper  bihar if river10<2
outreg2 using add_b, ctitle(Pub. Ir.)  append label
logit     pucca_road   q1a04 villagetotalupper  bihar
outreg2 using add_b, ctitle(Road)  append label
reg months_with q1a04  villagetotalupper   bihar
outreg2 using add_b, ctitle(M. School)  append label
logit    q1b03   q1a04 villagetotalupper  bihar
outreg2 using add_b, ctitle(Electr.)  append label
logit     q1b10  q1a04 villagetotalupper  bihar 
outreg2 using add_b, ctitle(Cov. Drain)  append tex(frag) label


logit bus1  q1a04 elf villagetotalupper  bihar if  pucca_road  ==1
outreg2 using add_c, ctitle(Bus)  replace label
logit   angn1  q1a04 elf villagetotalupper  bihar if phc1+pdoc1 +hosp1 ==0
outreg2 using add_c, ctitle(H. Worker)  append label
logit    public_irr  q1a04 elf villagetotalupper  bihar if river10<2
outreg2 using add_c, ctitle(Pub. Ir.)  append label
logit     pucca_road   q1a04 elf villagetotalupper  bihar
outreg2 using add_c, ctitle(Road)  append label
reg months_with q1a04 elf villagetotalupper   bihar
outreg2 using add_c, ctitle(M. School)  append label
logit    q1b03   q1a04 elf villagetotalupper  bihar
outreg2 using add_c, ctitle(Electr.)  append label
logit     q1b10  q1a04 elf villagetotalupper  bihar 
outreg2 using add_c, ctitle(Cov. Drain)  append tex(frag) label





*diversity hypothesis
rename q1b03 elec1

reg q1b06g  elf q1a04 
outreg2 using div_a, ctitle(Elect. Hours)  replace label
logit tele1  elf q1a04 
outreg2 using div_a, ctitle(Telephone)  append label
logit pps1 elf q1a04 
outreg2 using div_a, ctitle(Pub. Primary School)  append label
logit phc1 elf q1a04 
outreg2 using div_a, ctitle(Primary Health Center)  append tex(frag) label


reg q1b06g  elf q1a04 bihar q1b02 r1  q8 q9 niland
outreg2 using div_b, ctitle(Elect. Hours)  replace label
logit tele1  elf q1a04 bihar q1b02 r1   q8 q9 niland
outreg2 using div_b, ctitle(Telephone)  append label
logit pps1 elf q1a04 bihar q1b02 r1  q8 q9 niland
outreg2 using div_b, ctitle(Pub. Primary School)  append label
logit phc1 elf q1a04 bihar q1b02 r1  q8 q9 niland
outreg2 using div_b, ctitle(Primary Health Center)  append tex(frag) label

*difference version
reg q1b06g  sdsum q1a04 
outreg2 using divdiff_a, ctitle(Elect. Hours)  replace label
logit tele1  sdsum q1a04 
outreg2 using divdiff_a, ctitle(Telephone)  append label
logit pps1 sdsum q1a04 
outreg2 using divdiff_a, ctitle(Pub. Primary School)  append label
logit phc1 sdsum q1a04 
outreg2 using divdiff_a, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g   toptwodifferent q1a04 
outreg2 using divdiff_b, ctitle(Elect. Hours)  replace label
logit tele1   toptwodifferent q1a04 
outreg2 using divdiff_b, ctitle(Telephone)  append label
logit pps1  toptwodifferent q1a04 
outreg2 using divdiff_b, ctitle(Pub. Primary School)  append label
logit phc1  toptwodifferent q1a04 
outreg2 using divdiff_b, ctitle(Primary Health Center)  append tex(frag) label


reg q1b06g  elf q1a04  q8 interactlandless
outreg2 using divdiff_c, ctitle(Elect. Hours)  replace label
logit tele1  elf q1a04  q8 interactlandless
outreg2 using divdiff_c, ctitle(Telephone)  append label
logit pps1 elf q1a04  q8 interactlandless
outreg2 using divdiff_c, ctitle(Pub. Primary School)  append label
logit phc1 elf q1a04  q8 interactlandless
outreg2 using divdiff_c, ctitle(Primary Health Center)  append tex(frag) label


reg q1b06g  q1a04 landdiff
outreg2 using divdiff_d, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 landdiff
outreg2 using divdiff_d, ctitle(Telephone)  append label
logit pps1 q1a04 landdiff
outreg2 using divdiff_d, ctitle(Pub. Primary School)  append label
logit phc1 q1a04  landdiff
outreg2 using divdiff_d, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  landspearman q1a04 
outreg2 using divdiff_e, ctitle(Elect. Hours)  replace label
logit tele1  landspearman q1a04 
outreg2 using divdiff_e, ctitle(Telephone)  append label
logit pps1  landspearman q1a04 
outreg2 using divdiff_e, ctitle(Pub. Primary School)  append label
logit phc1  landspearman q1a04 
outreg2 using divdiff_e, ctitle(Primary Health Center)  append tex(frag) label


reg q1b06g  segregation q1a04
outreg2 using divdiff_f, ctitle(Elect. Hours)  replace label
logit tele1  segregation q1a04 
outreg2 using divdiff_f, ctitle(Telephone)  append label
logit pps1  segregation q1a04 
outreg2 using divdiff_f, ctitle(Pub. Primary School)  append label
logit phc1  segregation q1a04 
outreg2 using divdiff_f, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  between within q1a04
outreg2 using divdiff_g, ctitle(Elect. Hours)  replace label
logit tele1  between within q1a04 
outreg2 using divdiff_g, ctitle(Telephone)  append label
logit pps1  between within q1a04 
outreg2 using divdiff_g, ctitle(Pub. Primary School)  append label
logit phc1  between within q1a04 
outreg2 using divdiff_g, ctitle(Primary Health Center)  append tex(frag) label



*power hypothesis
reg q1b06g  q1a04 villagetotalupper
outreg2 using power_a, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper
outreg2 using power_a, ctitle(Telephone)  append label
logit pps1 q1a04   villagetotalupper
outreg2 using power_a, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper
outreg2 using power_a, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  q1a04 villagetotalupper elf 
outreg2 using power_b, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper elf
outreg2 using power_b, ctitle(Telephone)  append label 
logit pps1 q1a04   villagetotalupper elf 
outreg2 using power_b, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper elf
outreg2 using power_b, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  q1a04 villagetotalupper bihar q1b02 r1  q8 q9 niland
outreg2 using power_c, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper bihar q1b02 r1  q8 q9 niland
outreg2 using power_c, ctitle(Telephone)  append label
logit pps1 q1a04   villagetotalupper bihar q1b02 r1  q8 q9 niland
outreg2 using power_c, ctitle(Telephone)  append label
logit phc1  q1a04   villagetotalupper bihar q1b02 r1  q8 q9 niland
outreg2 using power_c, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  q1a04 villagetotalupper villagetotalscst villagetotalmuslim
outreg2 using power_d, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper  villagetotalscst villagetotalmuslim
outreg2 using power_d, ctitle(Telephone)  append label
logit pps1 q1a04   villagetotalupper  villagetotalscst villagetotalmuslim
outreg2 using power_d, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper  villagetotalscst villagetotalmuslim
outreg2 using power_d, ctitle(Primary Health Center)  append tex(frag) label

*inequality, discrimination, and difference
reg q1b06g  sdsum q1a04  villagetotalupper
outreg2 using ineq_a, ctitle(Elect. Hours)  replace label
logit tele1  sdsum q1a04  villagetotalupper
outreg2 using ineq_a, ctitle(Telephone)  append label
logit pps1 sdsum q1a04  villagetotalupper
outreg2 using ineq_a, ctitle(Pub. Primary School)  append label
logit phc1 sdsum q1a04  villagetotalupper
outreg2 using ineq_a, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g   toptwodifferent q1a04  villagetotalupper
outreg2 using ineq_b, ctitle(Elect. Hours)  replace label
logit tele1   toptwodifferent q1a04  villagetotalupper
outreg2 using ineq_b, ctitle(Telephone)  append label
logit pps1  toptwodifferent q1a04  villagetotalupper
outreg2 using ineq_b, ctitle(Pub. Primary School)  append label
logit phc1  toptwodifferent q1a04  villagetotalupper
outreg2 using ineq_b, ctitle(Primary Health Center)  append tex(frag) label


reg q1b06g  q1a04 q8 villagetotalupper
outreg2 using ineq_c, ctitle(Elect. Hours)  replace label 
logit tele1  q1a04  q8  villagetotalupper  
outreg2 using ineq_c, ctitle(Telephone)  append label
logit pps1 q1a04  q8 villagetotalupper  
outreg2 using ineq_c, ctitle(Pub. Primary School)  append label
logit phc1 q1a04  q8 villagetotalupper  
outreg2 using ineq_c, ctitle(Primary Health Center)  append tex(frag) label


reg q1b06g  q1a04 villagetotalupper landdiff
outreg2 using ineq_d, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper landdiff
outreg2 using ineq_d, ctitle(Telephone)  append label
logit pps1 q1a04 villagetotalupper landdiff
outreg2 using ineq_d, ctitle(Pub. Primary School)  append label
logit phc1 q1a04  villagetotalupper landdiff
outreg2 using ineq_d, ctitle(Primary Health Center)  append tex(frag) label


reg q1b06g  q1a04 villagetotalupper landspearman
outreg2 using ineq_e, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper landspearman
outreg2 using ineq_e, ctitle(Telephone)  append label
logit pps1 q1a04 villagetotalupper landspearman
outreg2 using ineq_e, ctitle(Pub. Primary School)  append label
logit phc1 q1a04  villagetotalupper landspearman
outreg2 using ineq_e, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  between within q1a04  villagetotalupper 
outreg2 using ineq_f, ctitle(Elect. Hours)  replace label
logit tele1  between within q1a04  villagetotalupper 
outreg2 using ineq_f, ctitle(Telephone)  append label
logit pps1  between within q1a04  villagetotalupper 
outreg2 using ineq_f, ctitle(Pub. Primary School)  append label
logit phc1  between within q1a04  villagetotalupper 
outreg2 using ineq_f, ctitle(Primary Health Center)  append tex(frag) label


reg q1b06g  segregation q1a04  villagetotalupper 
outreg2 using ineq_g, ctitle(Elect. Hours)  replace label
logit tele1  segregation q1a04  villagetotalupper 
outreg2 using ineq_g, ctitle(Telephone)  append label
logit pps1  segregation q1a04  villagetotalupper 
outreg2 using ineq_g, ctitle(Pub. Primary School)  append label
logit phc1  segregation q1a04  villagetotalupper 
outreg2 using ineq_g, ctitle(Primary Health Center)  append tex(frag) label


*clientelism
reg q1b06g  q1a04  villagetotalupper  uppercastelending
outreg2 using client_a, ctitle(Elect. Hours)  replace label
logit tele1  q1a04  villagetotalupper  uppercastelending
outreg2 using client_a, ctitle(Telephone)  append label
logit pps1 q1a04   villagetotalupper  uppercastelending
outreg2 using client_a, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper  uppercastelending
outreg2 using client_a, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  q1a04  villagetotalupper  casual
outreg2 using client_b, ctitle(Elect. Hours)  replace label
logit tele1  q1a04  villagetotalupper  casual
outreg2 using client_b, ctitle(Telephone)  append label
logit pps1 q1a04   villagetotalupper  casual
outreg2 using client_b, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper  casual
outreg2 using client_b, ctitle(Primary Health Center)  append tex(frag) label



*village unobervables
reg q1b06g  q1a04 villagetotalupper i.district
outreg2 using fe_a, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper i.district
outreg2 using fe_a, ctitle(Telephone)  append label
logit pps1 q1a04   villagetotalupper i.district
outreg2 using fe_a, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper i.district
outreg2 using fe_a, ctitle(Primary Health Center)  append tex(frag) label


*elf measurement

reg q1b06g  q1a04 villagetotalupper elf if surveyed<.2
outreg2 using measure_a, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper elf  if surveyed<.2
outreg2 using measure_a, ctitle(Telephone)  append label
logit pps1 q1a04   villagetotalupper elf  if surveyed<.2
outreg2 using measure_a, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper elf if surveyed<.2
outreg2 using measure_a, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  q1a04 villagetotalupper newelf 
outreg2 using measure_b, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper newelf 
outreg2 using measure_b, ctitle(Telephone)  append label
logit pps1 q1a04   villagetotalupper newelf 
outreg2 using measure_b, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper newelf
outreg2 using measure_b, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  q1a04 weighted_villagetotalupper weighted_elf 
outreg2 using measure_c, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 weighted_villagetotalupper weighted_elf 
outreg2 using measure_c, ctitle(Telephone)  append label
logit pps1 q1a04   weighted_villagetotalupper weighted_elf 
outreg2 using measure_c, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   weighted_villagetotalupper weighted_elf
outreg2 using measure_c, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  q1a04 villagetotalupper polerization
outreg2 using measure_d, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper polerization
outreg2 using measure_d, ctitle(Telephone)  append label
logit pps1 q1a04   villagetotalupper polerization
outreg2 using measure_d, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper polerization
outreg2 using measure_d, ctitle(Primary Health Center)  append tex(frag) label

*wealth
reg q1b06g  q1a04 villagetotalupper elf totalexp
outreg2 using wealth_a, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper elf totalexp
outreg2 using wealth_a, ctitle(Telephone)  append label 
logit pps1 q1a04   villagetotalupper elf  totalexp
outreg2 using wealth_a, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper elf totalexp
outreg2 using wealth_a, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  q1a04 villagetotalupper elf fscore
outreg2 using wealth_b, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper elf fscore
outreg2 using wealth_b, ctitle(Telephone)  append label 
logit pps1 q1a04   villagetotalupper elf  fscore
outreg2 using wealth_b, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper elf fscore
outreg2 using wealth_b, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  q1a04 villagetotalupper elf puccahouse
outreg2 using wealth_c, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper elf puccahouse
outreg2 using wealth_c, ctitle(Telephone)  append label 
logit pps1 q1a04   villagetotalupper elf  puccahouse
outreg2 using wealth_c, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper elf puccahouse
outreg2 using wealth_c, ctitle(Primary Health Center)  append tex(frag) label






reg q1b06g  elf villagetotalupper
outreg2 using simple_c, ctitle(Elect. Hours)  replace label
logit tele1  elf villagetotalupper
outreg2 using simple_c, ctitle(Telephone)  append label
logit pps1 elf villagetotalupper
outreg2 using simple_c, ctitle(Pub. Primary School)  append label
logit phc1 elf villagetotalupper
outreg2 using simple_c, ctitle(Primary Health Center)  append tex(frag) label

logit  q1b10 elf q1a04  
outreg2 using local_a, ctitle(Drains)  replace label
*reg   q1b08a elf  q1a04  
*outreg2 using local_a, ctitle(Pumps)  append label
logit  q1b10 villagetotalupper q1a04  
outreg2 using local_a, ctitle(Drains)  append label
*reg   q1b08a villagetotalupper  q1a04  
*outreg2 using local_a, ctitle(Pumps)  append label
logit  q1b10 villagetotalupper elf q1a04  
outreg2 using local_a, ctitle(Drains)  append tex(frag) label
*reg   q1b08a villagetotalupper elf q1a04  
*outreg2 using local_a, ctitle(Pumps)  append  tex(frag) label

logit  q1b10 elf q1a04  totalexp
outreg2 using local_b, ctitle(Drains)  replace label
*reg   q1b08a elf  q1a04    totalexp
*outreg2 using local_b, ctitle(Pumps)  append label
logit  q1b10 villagetotalupper q1a04   totalexp 
outreg2 using local_b, ctitle(Drains)  append label
*reg   q1b08a villagetotalupper  q1a04   totalexp 
*outreg2 using local_b, ctitle(Pumps)  append label
logit  q1b10 villagetotalupper elf q1a04    totalexp
outreg2 using local_b, ctitle(Drains)  append tex(frag) label
*reg   q1b08a villagetotalupper elf q1a04    totalexp
*outreg2 using local_b, ctitle(Pumps)  append  tex(frag) label

logit  q1b10 elf q1a04  q8
outreg2 using local_c, ctitle(Drains)  replace label
*reg   q1b08a elf  q1a04   q8
*outreg2 using local_c, ctitle(Pumps)  append label
logit  q1b10 villagetotalupper q1a04   q8
outreg2 using local_c, ctitle(Drains)  append label
*reg   q1b08a villagetotalupper  q1a04   q8
*outreg2 using local_c, ctitle(Pumps)  append label
logit  q1b10 villagetotalupper elf q1a04   q8
outreg2 using local_c, ctitle(Drains)  append tex(frag) label
*reg   q1b08a villagetotalupper elf q1a04   q8
*outreg2 using local_c, ctitle(Pumps)  append  tex(frag) label

*bootstrap
reg q1b06g  q1a04 villagetotalupper , vce(boots,  reps(200))
outreg2 using boot_a, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper , vce(boots,  reps(200))
outreg2 using boot_a, ctitle(Telephone)  append label 
logit pps1 q1a04   villagetotalupper  , vce(boots,  reps(200))
outreg2 using boot_a, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper  , vce(boots,  reps(200))
outreg2 using boot_a, ctitle(Primary Health Center)  append tex(frag) label

reg q1b06g  q1a04 villagetotalupper elf , vce(boots,  reps(200))
outreg2 using boot_b, ctitle(Elect. Hours)  replace label
logit tele1  q1a04 villagetotalupper elf, vce(boots,  reps(200))
outreg2 using boot_b, ctitle(Telephone)  append label 
logit pps1 q1a04   villagetotalupper elf , vce(boots,  reps(200))
outreg2 using boot_b, ctitle(Pub. Primary School)  append label
logit phc1  q1a04   villagetotalupper elf , vce(boots,  reps(200))
outreg2 using boot_b, ctitle(Primary Health Center)  append tex(frag) label

clear
import excel "alesina cities.xlsx", sheet("Sheet1") firstrow 
label var ETHNIC "ELF"
label var WHITE "Prop. White"



*Alesina table panel A
reg  EXPOLICE ETHNIC 
outreg2 using alesina_a, ctitle(Prop. Police)  replace label
reg EXPROADS ETHNIC
outreg2 using alesina_a, ctitle(Prop. Roads)  append label
reg EXPSEWGE  ETHNIC
outreg2 using alesina_a, ctitle(Prop. Sewage)  append label
reg EXROADPC ETHNIC
outreg2 using alesina_a, ctitle(Road Exp. PC)  append tex (frag) label

*panel B
reg  EXPOLICE WHITE 
outreg2 using alesina_b,  ctitle(Prop. Police)  replace label
reg EXPROADS  WHITE 
outreg2 using alesina_b,  ctitle(Prop. Roads)  append label
reg EXPSEWGE WHITE 
outreg2 using alesina_b,  ctitle(Prop. Sewage)  append label
reg EXROADPC WHITE 
outreg2 using alesina_b,  ctitle(Road Exp. PC)  append tex (frag) label

*panel C
reg  EXPOLICE ETHNIC  WHITE
outreg2 using alesina_c,  ctitle(Prop.Police)  replace label
reg EXPROADS ETHNIC WHITE
outreg2 using alesina_c,  ctitle(Prop. Roads)  append label
reg EXPSEWGE  ETHNIC WHITE
outreg2 using alesina_c,  ctitle(Prop. Sewage)  append label
reg EXROADPC ETHNIC WHITE
outreg2 using alesina_c,  ctitle(Road Exp. PC)  append tex (frag)  label

*panel D
reg  EXPOLICE  WHITE if ETHNIC<.25
outreg2 using alesina_d,  ctitle(Prop.Police)  replace label
reg EXPROADS  WHITE if ETHNIC<.25
outreg2 using alesina_d,  ctitle(Prop. Roads)  append label
reg EXPSEWGE   WHITE if ETHNIC<.25
outreg2 using alesina_d,  ctitle(Prop. Sewage)  append label
reg EXROADPC  WHITE if ETHNIC<.25
outreg2 using alesina_d,  ctitle(Road Exp. PC)  append tex (frag)  label



*panel E
reg  EXPOLICE  ETHNIC if WHITE<.4
outreg2 using alesina_e,  ctitle(Prop.Police)  replace label
reg EXPROADS    ETHNIC if WHITE<.4
outreg2 using alesina_e,  ctitle(Prop. Roads)  append label
reg EXPSEWGE    ETHNIC if WHITE<.4
outreg2 using alesina_e,  ctitle(Prop. Sewage)  append label
reg EXROADPC    ETHNIC  if WHITE<.4
outreg2 using alesina_e,  ctitle(Road Exp. PC)  append tex (frag)  label

clear
use "f0.dta"
sum kenya
keep if kenya==1
label var elfr "ELF"
label var rluhya "Prop. Luhya" 

*miguel table  panel A
reg sch_funds_usd   elfr
outreg2 using miguel_a, ctitle(School Funds)  replace label
reg 	desks_perpup  elfr
outreg2 using miguel_a, ctitle(Desks Per Pupil)  append label
reg 	latrin_perpup  elfr
outreg2 using miguel_a, ctitle(Latrines Per Pupil)  append label
reg 	classr_perpup  elfr
outreg2 using miguel_a, ctitle(Classrooms Per Pupil)  append label
reg 	prop_water   elfr
outreg2 using miguel_a, ctitle(Working Wells)  append  tex (frag)  label

*panel B
reg sch_funds_usd   rluhya
outreg2 using miguel_b, ctitle(School Funds)  replace label
reg 	desks_perpup rluhya
outreg2 using miguel_b, ctitle(Desks Per Pupil)  append label
reg 	latrin_perpup rluhya
outreg2 using miguel_b, ctitle(Latrines Per Pupil)  append label
reg 	classr_perpup rluhya
outreg2 using miguel_b, ctitle(Classrooms Per Pupil)  append label
reg 	prop_water  rluhya
outreg2 using miguel_b, ctitle(Working Wells)  append  tex (frag)  label

*panel C
reg sch_funds_usd     elfr rluhya
outreg2 using miguel_c, ctitle(School Funds)  replace label
reg 	desks_perpup  elfr rluhya
outreg2 using miguel_c, ctitle(Desks Per Pupil)  append label
reg 	latrin_perpup  elfr rluhya
outreg2 using miguel_c, ctitle(Latrines Per Pupil)  append label
reg 	classr_perpup  elfr rluhya
outreg2 using miguel_c, ctitle(Classrooms Per Pupil)  append label
reg 	prop_water   elfr rluhya
outreg2 using miguel_c, ctitle(Working Wells)  append  tex (frag)  label




